py-sil-app(1)

NAME
py-sil-app - Sample netconfd-pro server PY-SIL sub-system

SYNOPSIS

   py-sil-app [--pymodpath=string] [--address=string] [--port=num]
   [--subsys=<subsys-id>] [--library=name] [--retry-limit=num]  [--library=name]
   [<logging-parameters>]

DESCRIPTION
py-sil-app is a sample YumaPro subsystem program to demonstrate how the PY-SIL and YControl libraries can be used within an application.

Refer to the online YumaPro Developer Manual for full details on PY-SIL development:

https://docs.yumaworks.com/en/latest/dev/index.html

USAGE
Parameters can be entered in any order, and have the form:

   --name[=value]

where:

    name == parameter name
    value == optional parameter value

OPTIONS

--address=string
    The --address parameter is optional. It represents the IP address of the main server that will be used for the session. The default is localhost.

--library=string
    The --library parameter keyword is optional. It specifies a PY-SIL library (module or bundle) that should be selected by this subsystem. If any --library parameters are present, then only those PY-SIL libraries will be loaded by this subsystem, if the main server indicates that the module or bundle is loaded. This option can be used multiple times, once for each selected module or bundle.

    If no --library parameters are present then the py-sil-app will attempt to load all PY-SIL modules and bundles reported by the server.

    If the PY-SIL library is not found in the ./ or ~/pysil directory then it will be skipped by the subsystem.

    Example: --library=foo (selects foo)

--log-level=level
    The --log-level, --log, and other logging parameters are also supported.

--port=uint16
    The --port parameter is optional. It represents the TCP port number of the main server that will be used for the session. The default is the local system, determined by the local netconf-subsystem-pro.

--pymodpath=string
    The --pymodpath parameter is optional. Specifies the PY-SIL libraries search path to use while searching for PY-SIL libraries.

--subsys-id=string
    The --subsys-id parameter keyword is optional. It specifies the subsystem identifier to use when registering with the netconfd-pro server. The default is 'subsys1' if no value is specified.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1)